%global npmname npmlog
%global npminstdir /usr/lib/node_modules/%{npmname}
%global deplist ansi

Summary: logger for npm 
Name: nodejs-%{npmname}
Version: 0.0.2
Release: 1%{?dist}
Group: Development/Languages
License: BSD
URL: http://github.com/isaacs/npmlog
Source0: http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
BuildArch: noarch
Requires: nodejs
Requires: nodejs-ansi >= 0.1.2
Provides: nodejs-%{npmname} = %{version}

%description
The logger util that npm uses.

This logger is very basic.  It does the logging for npm.  It supports
custom levels and colored output.

By default, logs are written to stderr.  If you want to send log messages
to outputs other than streams, then you can change the `log.stream`
member, or you can just listen to the events that it emits, and do
whatever you want with them.

%prep
%setup -q -n package

%build

%install
# Run the scripts (except test scripts)

# Setup and copy packages over
mkdir -p %{buildroot}/%{npminstdir}
cp -pr log.js package.json %{buildroot}/%{npminstdir}

# Setup the dependancies
cd %{buildroot}/%{npminstdir}
mkdir node_modules
for depend in %{deplist}
do
  ln -s /usr/lib/node_modules/$depend node_modules/$depend
done

# Setup Binaries

%files
%doc LICENSE README.md example.js
%{npminstdir}

%changelog
* Wed Nov 14 2012 Troy Dawson <tdawson@redhat.com> - 0.0.2-1
- Initial build using nodejs spec template

